Dependencies

From GNUstepWiki

(Difference between revisions)
Revision as of 10:06, 29 November 2006
Cbv (Talk | contribs)
add links
← Previous diff
Revision as of 13:41, 2 January 2007
Cbv (Talk | contribs)
added links, fixed typos
Next diff →
Line 2: Line 2:
'''Note''' : '''Note''' :
-* some of these dependencies are dependent of each other (eg. ''tiff'' requires ''jpeg'', and ''libungif'' requires ''freetype2'')+* some of these dependencies are dependent of each other (e.g. ''tiff'' requires ''jpeg'', and ''libungif'' requires ''freetype2'')
* each of these dependencies may require additional libraries, which are not listed here * each of these dependencies may require additional libraries, which are not listed here
* the given names may not accurately reflect the actual package name as provided by your system * the given names may not accurately reflect the actual package name as provided by your system
Line 14: Line 14:
''' Optional ''' ''' Optional '''
-* gdb -- for debugging+* [http://www.gnu.org/software/gdb/ gdb] -- for debugging
* [http://www.windowmaker.info/ Window Maker] -- this would install a lot of dependencies beforehand * [http://www.windowmaker.info/ Window Maker] -- this would install a lot of dependencies beforehand
Line 27: Line 27:
''' Recommended ''' ''' Recommended '''
* [http://xmlsoft.org/ libxml2] -- for XML-based property-lists * [http://xmlsoft.org/ libxml2] -- for XML-based property-lists
-* [http://xmlsoft.org/XSLT/ libxslt] -- for stylesheet support for use with XML+* [http://xmlsoft.org/XSLT/ libxslt] -- for style sheet support for use with XML
-* [http://www.openssl.org/ openssl] -- for HTTPS connections in [[NSURL|urls]]+* [http://www.openssl.org/ openssl] -- for HTTPS connections in [[NSURL]]
''' Optional ''' ''' Optional '''
-* [http://www.gnu.org/software/libiconv/ libiconv] -- unicode support, only install if not provided by your system / glibc+* [http://www.gnu.org/software/libiconv/ libiconv] -- Unicode support, only install if not provided by your system / glibc
* [http://www.swox.com/gmp/ libgmp4] -- arbitrary precision arithmetic * [http://www.swox.com/gmp/ libgmp4] -- arbitrary precision arithmetic
-* libbfd -- universal "Binary File Descriptor" library+* libbfd -- universal "Binary File Descriptor" library, part of [http://www.gnu.org/software/binutils/ GNU binutils]
Line 91: Line 91:
= Documentation = = Documentation =
-* tetex -- if you want to create the API documentation+* [http://www.tug.org/teTeX/ TeTeX] -- if you want to create the API documentation
[[Category:Development]] [[Category:Development]]

Revision as of 13:41, 2 January 2007

The following is the current (as of July 18, 2006) list of direct dependencies for GNUstep.

Note :

  • some of these dependencies are dependent of each other (e.g. tiff requires jpeg, and libungif requires freetype2)
  • each of these dependencies may require additional libraries, which are not listed here
  • the given names may not accurately reflect the actual package name as provided by your system


Contents

GNUstep-make

Required

Optional

  • gdb -- for debugging
  • Window Maker -- this would install a lot of dependencies beforehand


GNUstep-base

Required

Recommended

  • libxml2 -- for XML-based property-lists
  • libxslt -- for style sheet support for use with XML
  • openssl -- for HTTPS connections in NSURL

Optional

  • libiconv -- Unicode support, only install if not provided by your system / glibc
  • libgmp4 -- arbitrary precision arithmetic
  • libbfd -- universal "Binary File Descriptor" library, part of GNU binutils


GNUstep-gui

Required

  • GNUstep-base
  • tiff -- TIFF support

Recommended

  • jpeg -- JPEG support
  • png -- PNG support

Optional


GNUstep-back

XLIB

Required

  • GNUstep-gui

Recommended

ART

Required

Recommended

CAIRO

Required

  • GNUstep-gui
  • libart_lgpl2 -- 2D graphics supporting
  • glitz -- OpenGL image compositing library
  • cairo -- PDF 1.4 imaging model

Recommended


Documentation

  • TeTeX -- if you want to create the API documentation